%define aurox_ver 10.0
%define rel 2


# $Id: kdebase.spec,v 1.104 2004/03/23 16:27:21 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define qt_ver 1:3.3

%define fontdir %{_datadir}/fonts/bitmap-fonts

## JAVA
# Conditional build:
# --without java
# --with java=/specify/path/to/java/bin
# Defaults if no --without java or --with java specified 

#%define java_default java-1.4.2
#%if "%{?_without_java}" != "%{nil}"
#%define java %{?_without_java} 
#%else
#%{!?_with_java:%define java --with-java=/usr/lib/jvm/%{java_default}}
#%{!?_with_java:BuildRequires: %{java_default}-devel }
## User-specified java
#%{?_with_java:%define java --with-java=%(echo %{_with_java} | sed -e s/.*=// )}
#%endif

%define redhatify 1
%define kappfinder 1 
%define pamservice kde
%define gdmsession KDE
%define is_release 2 
%define xrandr 1
# define to include experimental kwin_shadow patch
#define kwin_shadow 1

Summary: K Desktop Environment - core files
Name:	 kdebase
Group:	 User Interface/Desktops
Epoch:	 6
Version: 3.2.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
URL:	 http://www.kde.org/
Source:  ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdebase-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# kde/Keramik alternatives priority
%if "%{?redhatify}" != "1"
#%define theme %{name}
%define priority 20 
%define qtdir %(unset QTDIR ||:; source /etc/profile.d/qt.sh 2>/dev/null; echo ${QTDIR:-/usr/lib/qt-3.3} )
Source1000: %{name}-qtrc
#Requires(pre,postun): themer >= 0:1.50
# Prereq too, otherwise, sometimes themer isn't installed
# in time for scriptlets -- Rex
Prereq: themer >= 0:1.50

%endif

Requires: qt >= %{qt_ver}
Requires: kdelibs >= %{kdelibs_ver}
Requires: libxml2 >= 2.5.11
Requires: /etc/X11/xdm/Xaccess /etc/X11/xdm/Xservers /etc/X11/xdm/Xwilling
Requires: /etc/X11/xdm/Xsession /etc/X11/xdm/Xsetup_0

### Optional items (for now) we don't want to make them mandatory -- Rex
## For PDFinfo
# Requires: xpdf
## for kio_fish support
# Requires: openssh-clients

Requires: desktop-backgrounds-basic
Requires(pre,post): fileutils sh-utils
Requires(post): XFree86-xfs

%if "%{?redhatify}" == "1"
Requires: redhat-artwork >= 0:0.92
%endif

Requires: aurox-menus >= 0.45

BuildRequires: qt-devel >= %{qt_ver}
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
BuildRequires: libtool
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53 
BuildRequires: automake >= 1.6 
%endif
BuildRequires: libxml2-devel >= 2.5.11
BuildRequires: openmotif-devel >= 2.2
Requires:      openmotif >= 2.2
BuildRequires: samba-common >= 2.2.3a-5
BuildRequires: pam-devel
BuildRequires: gettext
BuildRequires: perl
BuildRequires: openssl-devel
BuildRequires: openldap-devel
BuildRequires: freetype-devel
BuildRequires: libvorbis-devel >= 1:1.0
BuildRequires: pkgconfig
BuildRequires: lm_sensors-devel
BuildRequires: jasper-devel

Obsoletes: kio_fish
Provides:  kio_fish

Obsoletes: %{name}2
Obsoletes: kdebase-3d-screensavers < %{epoch}:%{version}-%{release}
Obsoletes: kdebase-lowcolor-icons < %{epoch}:%{version}-%{release}

## FYI, these have been a *huge* PITA -- Rex
# .../applnk/.../lanbrowser.desktop conflict with kdenetwork-3.0.5a -- Rex
Conflicts: lisa < 7:3.1
Conflicts: kdenetwork < 7:3.1
# ../applications/kde-battery.desktop (and others) conflict with kdeutils-laptop-3.0.3 -- Rex
Conflicts: kdeutils-laptop < 6:3.1
# ../applications-kde-kcmkxmlrpcd.desktop conclits with kxmlrpcd-3.0.3 -- Rex
Conflicts: kxmlrpcd < 7:3.1 

Source1: konsole.desktop 
Source2: KDE.session.gnome 
Source3: kde.desktop 
Source4: kde-aurox-config-3.2-7.tar.bz2 
Source7: mailsettings.cc 
Source9: start-here.png 
Source13: kcmnspluginrc 
Source22: energybig.png

#theese are from Aurox 9.3
Source5: desktopconv.tar.bz2
#Source8: vfolder-%{vfolder_version}.tar.bz2
Source21: Bluecurve-0.1.ktheme.tar.gz
Source30: kcmrandr-20030410-aurox.tar.bz2


## kde-redhat Sources
Source1001: 10567-kwin_shadow-0.7.1.tar.gz

Patch0: kde-libtool.patch
#we don't want RH colors
#Patch1: kdebase-3.2.0-redhat.patch
#we use our own
#Patch1: kdebase-3.2.0-redhat-aurox.patch
Patch1: kdebase-3.2.3-pam-console.patch
Patch2: kdebase-3.2.3-menu.patch
Patch3: kdebase-3.1.93-vroot.patch
Patch4: kdebase-3.0-shortcuts.patch
Patch6: kdebase-3.2.0-motif.patch
Patch9: kdebase-3.1.4-keydefs.patch
Patch10: kdebase-3.0.3-vfolder.patch
Patch13: kdebase-3.1-config.patch
Patch27: kdebase-3.0-ptsname.patch

#we don't want monospace
Patch33: kdebase-3.1.93-consolefont.patch
#Patch34: kdebase-3.2.1-console.patch
#Patch35: kdebase-3.0.3-wallpaper.patch
Patch37: kdebase-3.1-krdb.patch
Patch38: kdebase-3.1.3-panelicon.patch
Patch39: kdebase-3.0.3-themes.patch
Patch40: kdebase-3.2.0-keymap.patch
Patch42: kdebase-3.1.93-kicker.patch
Patch46: kdebase-3.1-aboutkde.patch
Patch48: kdebase-3.0.4-kdesukonsole.patch
Patch53: kdebase-3.1-ssl-krb5.patch
#Patch56: kde-libtool.patch
#we like konqueror default startpage
#Patch57: kdebase-3.1-startpage.patch
Patch62: kdebase-3.1.1-xrandr.patch
Patch65: kdebase-3.1.1-usb.patch
Patch66: kdebase-3.2.3-klipper.patch
Patch67: kdebase-3.1.93-kdesktop.patch
#We don't want bluecurve
#Patch68: kdebase-3.1.3-kper.patch
Patch69: kdebase-3.1.3-ksplash.patch
#Patch70: kdebase-3.1.4-fullscreen-gtk.patch
Patch71: kdebase-3.1.3-konsole-double-esc.patch
Patch72: kdebase-3.2.0-kickermenu.patch
Patch73: kdebase-3.1.93-starthere.patch
#Patch74: kdebase-3.1.94-kpersonalizer.patch
Patch75: kdebase-3.2.0-selinux.patch
#Patch76: kdebase-3.2.0-kdesktop.patch

## kde-redhat patches 
Patch1000: kdebase-3.2.0-dm_sessions.patch
Patch1002: kdebase-3.1.3-xpdf.patch

Patch2000: kdebase-3.2.1-battery.patch
Obsoletes: kdpms
Obsoletes: kapm
Obsoletes: kapmd
Obsoletes: kcmlaptop

%description
Core applications for the K Desktop Environment.  Included are: kdm
(replacement for xdm), kwin (window manager), konqueror (filemanager,
web browser, ftp client, ...), konsole (xterm replacement), kpanel
(application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), kthememgr
(system for managing alternate theme packages) plus other KDE
components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit).

%package devel
Summary: Development files for kdebase
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
Group: Development/Libraries
%description devel
Header files for developing applications using kdebase.
Install kdebase-devel if you want to develop or compile Konqueror,
Kate plugins or KWin styles.


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta} %{?kwin_shadow:-a 1001}
%else
%setup -q -n %{name} %{?kwin_shadow:-a 1001} 
%endif
#this is also from Aurox
tar jvxf %{SOURCE30} -C kcontrol
%patch0 -p1 -b .libtool
%patch1 -p1 -b .orig
%patch2 -p1 -b .redhat-menus
%patch3 -p1 -b .vroot
%patch4 -p1 -b .short
# We want to link dynamically -- Rex
#%patch6 -p1 -b .staticmotif
#%patch9 -p1 -b .keydef
%patch10 -p1 -b .vfolder
# Not required (redhatify?) -- Rex
#%patch13 -p1 -b .config
#%patch27 -p1 -b .ptsname
%patch33 -p1 -b .fontkonsole
#%patch34 -p1 -b .console
#%patch35 -p1 -b .wallpaper
#%patch37 -p1 -b .xrdb 
#%patch38 -p1 -b .paneliconresize
#%patch39 -p1 -b .themes
%patch40 -p1 -b .keymap
#%patch42 -p1 -b .kicker
#%patch46 -p1 -b .aboutkde
%patch48 -p1 -b .kdesukonsole
%patch53 -p1 -b .ssl-krb5
#Moved to patch0 -- Rex
#%patch56 -p1 -b .libtool
#%patch57 -p1
%patch65 -p1 -b .usb
%patch66 -p1 -b .klipper
%patch67 -p1 -b .kdesktop
#%patch68 -p1 -b .bluecurve
#%patch69 -p1 -b .ksplash

# XRANDR support
%if %{xrandr}
tar jvxf %{SOURCE30} -C kcontrol
#%patch62 -p1 -b .xrandr
%endif

#%patch70 -p1 -b .fullscreen
%patch71 -p1 -b .konsole
%patch72 -p1 -b .kickermenu
%patch73 -p1 -b .starthere
#%if "%{?redhatify}" == "1"
#%patch74 -p1 -b .kper
#%endif
#%patch75 -p1 -b .selinux
#%patch76 -p1 -b .kdesktop

## kde-redhat patches
%patch1000 -p1 -b .dm_sessions
%patch1002 -p1 -b .xpdf

%patch2000 -p1 -b .battery

%if "%{?redhatify}" == "1" 
cp -a %{SOURCE1} konsole

cp -a %{SOURCE22} kcontrol/krdb/pics/energybig.png
cp -a %{SOURCE22} kcontrol/energy/pics/energybig.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/krdb/pics/lo-energy.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/energy/pics/lo-energy.png
cp -a kcontrol/pics/cr16-app-energy.png kcontrol/pics/cr16-app-energy_star.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/pics/cr32-app-energy_star.png
cp -a kcontrol/pics/cr48-app-energy.png kcontrol/pics/cr48-app-energy_star.png

%else

# drop-shadow patch - a little buggy, don't use, for now -- Rex
%{?kwin_shadow: patch -d kwin -p0 < kwin_shadow-0.7.1/kdebase.kwin-kwin_shadow-3.2.patch }

%endif

# Bluecurve theme
#pushd kcontrol/thememgr/Themes
#tar zxf %{SOURCE21}
#popd

perl -pi -e "s,#LIB#,%{_lib},g" nsplugins/configure.in.in

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif

# set Konqueror version
perl -pi -e "s,^#define.*KONQUEROR_VERSION.*,#define KONQUEROR_VERSION \"%{version} Aurox %{aurox_ver}\"," konqueror/versio

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE"

# workaround on compiler bug
%ifarch s390
FLAGS="-O1 $FLAGS"
%else
FLAGS="$RPM_OPT_FLAGS $FLAGS"
%endif

export CXXFLAGS="$FLAGS"
export CFLAGS="$FLAGS"
export CPPFLAGS=
export LDFLAGS=

if pkg-config openssl ; then
   CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
   CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
   LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --with-qt-libraries=$QTDIR/lib \
  --disable-rpath \
  --with-xdmdir=%{_sysconfdir}/X11/xdm \
  --with-motif-includes=/usr/X11R6/include \
  --with-motif-libraries=/usr/X11R6/%{_lib} \
  --with-pam=%{pamservice} \
  --with-cdparanoia \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else 
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%endif
  --with-xinerama
#  %{?java}

make %{?_smp_mflags} -C ksysguard
make %{?_smp_mflags}

# build mail setting tool
%{__cxx} $CXXFLAGS -o mailsettings %{SOURCE7}

# build desktop convert tool, from Aurox 9.3
tar xjf %{SOURCE5}
pushd desktopconv
make CXXFLAGS="$FLAGS"
popd
pushd desktopconv/tr
make
popd

%install
rm -rf "$RPM_BUILD_ROOT"

make install%{!?debug_package:-strip} DESTDIR="$RPM_BUILD_ROOT" \
  RUN_KAPPFINDER=no 

install -m 755 mailsettings $RPM_BUILD_ROOT%{_bindir}

# start-here icon, icon should be renamed to start-here later
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
install %{SOURCE9} .
ln -s `basename %{SOURCE9}` gnome-starthere
popd

# Move in desktopconv
install -m 755 desktopconv/desktopconv $RPM_BUILD_ROOT%{_bindir}

# Fix up permissions on some things
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kcheckpass
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kdesud

## install pam configuration files
install -p -m644 -D kde.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

## setup kde-np per http://bugs.kde.org/show_bug.cgi?id=68331
head -1 kde.pamd >> kde-np.pamd
echo "auth    sufficient   pam_permit.so" >> kde-np.pamd
grep -v "^#" kde.pamd >> kde-np.pamd
install -p -m644 kde-np.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}-np

## fixup pam.d entries for possibly missing pam modules
## (timestamp < rh73, selinux < fc2)
pushd $RPM_BUILD_ROOT/etc/pam.d
for pam_svc in * ; do
  for pam_mod in pam_timestamp.so pam_selinux.so ; do
    if [ ! -x /lib/security/${pam_mod} ]; then
      grep -v $pam_mod $pam_svc > ${pam_cvs}.new && mv ${pam_cvs}.new $pam_svc
    fi
  done
done
popd


%if "%{?kappfinder}" != "1"
rm -rf $RPM_BUILD_ROOT%{_prefix}/*/kappfinder \
       $RPM_BUILD_ROOT%{_datadir}/applnk/System/kappfinder.desktop \
       $RPM_BUILD_ROOT%{_datadir}/apps/kappfinder
%endif

cat >>$RPM_BUILD_ROOT%{_sysconfdir}/kderc <<EOF
[General]
background=230,230,230
foreground=0,0,0
selectBackground=76,89,166
selectForeground=255,255,255
windowBackground=255,255,255
windowForeground=0,0,0
activeFont=Sans,10,-1,5,50,0,0,0,0,0
fixed=Monospace,10,-1,5,50,0,0,0,1,0
font=Sans,10,-1,5,50,0,0,0,0,0
menuFont=Sans,10,-1,5,50,0,0,0,0,0
taskbarFont=Sans,10,-1,5,50,0,0,0,0,0
toolBarFont=Sans,10,-1,5,50,0,0,0,0,0

#[Directories]
#dir_apps=/etc/X11/applnk

[DirWatch]
NFSPollInterval=5000
PollInterval=500
EOF

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -name "man2html*" |xargs rm -rf

## font-handling, hope this works! (-: -- Rex
%if 1
  # moved to bitmap fonts package
  rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts
%else
  # Remove conflict with XFree86
  rm -f $RPM_BUILD_ROOT%{_datadir}/fonts/9x15.pcf*

  mkdir -p $RPM_BUILD_ROOT%{fontdir}
  mv $RPM_BUILD_ROOT%{_datadir}/fonts/*pcf* \
     $RPM_BUILD_ROOT%{fontdir}/

  # Why do this? -- Rex
  # gunzip $RPM_BUILD_ROOT%{fontdir}/*.gz
  rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts
%endif

# gdm(1) session support
install -p -D -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/%{gdmsession}
# gdm2/kdm(common) session support
install -p -D -m644 \
  $RPM_BUILD_ROOT%{_datadir}/apps/kdm/sessions/kde.desktop \
  $RPM_BUILD_ROOT%{_datadir}/xsessions/kde.desktop

# install config files
pushd $RPM_BUILD_ROOT
tar xjf %{SOURCE4}

mv etc/skel/kde etc/skel/.kde
find etc/skel/.kde -type f |xargs chmod 0644
find etc/skel/.kde -type d |xargs chmod 0755
popd

# Symlink things to their correct place
rm -rf  $RPM_BUILD_ROOT%{_datadir}/config/kdm
ln -sf ../../../etc/kde/kdm $RPM_BUILD_ROOT%{_datadir}/config/kdm

# Replace the kdm default files with symlinks to the shared {kxg}dm ones
pushd $RPM_BUILD_ROOT/etc/kde/kdm
for i in Xaccess Xservers Xsession Xwilling kdmrc; do
   ln -sf ../../X11/xdm/$i .
done
ln -fs ../../X11/xdm/Xsetup_0 Xsetup
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT/%{_docdir}/HTML/en
for i in */*/*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../../common $i/common
done
for i in */*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
done
for i in *; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

%if "%{?redhatify}" != "1"
## Alternative handling -- Rex
install -D -m644 %{SOURCE1000} \
	$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc
mv      $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc \
        $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc.%{name}
touch 	$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc 
# kde default settings kdeglobals, kwinrc - Keramik
cat > $RPM_BUILD_ROOT%{_datadir}/config/kdeglobals.defaults.%{name} <<EOF
#[General]
widgetStyle=Keramik
#[KDE]
colorScheme=Keramik.kcsrc
#[Icons]
Theme=crystalsvg
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/config/kwinrc.defaults.%{name} <<EOF
#[Style]
PluginLib=kwin_keramik
EOF

# For %%ghost'ing
touch $RPM_BUILD_ROOT%{_datadir}/config/{kdeglobals,kwinrc}.defaults

#else
# redhatify = 1
#rm -f $RPM_BUILD_ROOT%{_datadir}/locale/l10n/*/flag.png
%endif

rm -rf $RPM_BUILD_ROOT/etc/xdg/menus/*

# kdm misc stuff
cp -alf kdm/ChangeLog kdm.ChangeLog
rm -rf $RPM_BUILD_ROOT%{_docdir}/kdm

%pre
# in Aurox /usr/share/config/kdm was a directory, we must delete it
if [ -d /usr/share/config/kdm ]; then
    mv /usr/share/config/kdm /usr/share/config/kdm.rpmsave.$RANDOM
fi

%post
/sbin/ldconfig
%if "%{redhatify}" != "1"
## Enable "Start New Session" magic
grep "^:1" /etc/X11/xdm/Xservers >& /dev/null ||
echo ":1 local reserve /usr/X11R6/bin/X :1" >> /etc/X11/xdm/Xservers
## make kdm and KDE sessions the default, if not otherwise specified
grep "^DESKTOP=" /etc/sysconfig/desktop >& /dev/null ||
echo "DESKTOP=KDE" >> /etc/sysconfig/desktop
grep "^DISPLAYMANAGER=" /etc/sysconfig/desktop >& /dev/null ||
echo "DISPLAYMANAGER=KDE" >> /etc/sysconfig/desktop
## themer
/usr/sbin/themer --install %{theme} %{priority} ||:

%preun
## themer
/usr/sbin/themer --remove %{theme} ||:
%endif

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README kdm.Change*
%lang(en) %doc %{_docdir}/HTML/en/*
## gdm session
%config(noreplace) /etc/X11/gdm/Sessions/*
## gdm2/kdm(common) session
%config %{_datadir}/xsessions/*
%config(noreplace) %{_sysconfdir}/ksysguarddrc
/etc/skel/.kde
## vfolder menu support
#/etc/xdg/menus/*
%dir %{_datadir}/config
## non-theme config files, all but {kdeglobas,kwinrc}.defaults
%config %{_datadir}/config/[a-j,l-z]*
%config %{_datadir}/config/k[a-c,e-v,x-z]*
%config %{_datadir}/config/kd[a-d,f-z]*
%config %{_datadir}/config/kde[a-f,h-z]*
%config %{_datadir}/config/kdeglobals
%config %{_datadir}/config/kw[a-h,j-z]*
%config %{_datadir}/config/kwinrc
%if "%{redhatify}" != "1"
## kde-theme
%config %{_datadir}/config/*.defaults.%{theme}
%ghost  %{_datadir}/config/*.defaults
## qt-theme
%config(noreplace) %{qtdir}/etc/settings/*rc.%{name}
%ghost  %{qtdir}/etc/settings/*rc
%endif
## fonts
#%{fontdir}/*
%dir %{_sysconfdir}/kde
%dir %{_sysconfdir}/kde/kdm
%{_sysconfdir}/kde/kdm/X*
%config(noreplace) %{_sysconfdir}/kde/kdm/*rc
%config(noreplace) /etc/kderc
%config(noreplace) /etc/X11/xdm/kdmrc
%config(noreplace) /etc/pam.d/*
%{_datadir}/locale/*/entry.desktop
%{_datadir}/locale/l10n
%{_bindir}/*
%{_libdir}/*.??*
%{_libdir}/kconf_update_bin
%{_libdir}/kde3/*
%{_datadir}/applnk
%{_datadir}/applications/*
%{_datadir}/apps/*
%{_datadir}/desktop-directories
%{_datadir}/autostart/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/mimelnk/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds
%{_datadir}/templates
%{_datadir}/wallpapers

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
#%{_libdir}/*.a


%clean 
rm -rf $RPM_BUILD_ROOT 


%changelog
* Tue Jul 06 2004 Aurox Team <aurox@aurox.org> 6:3.2.3-10.0.aur.2
- one line added to /etc/pam.d/kde (to enable mounting)
- update klipper patch
- update menu patch
- update to KDE 3.2.3
- use console8x16 font, not the broken Monospace
- fix configuration
- remove files provided by aurox-menus
- update config (show devices, underline web links)
- add patch for console font
- hower=false
- other patch fixed
- patch for OpenTerminal fixed
- bla
- number in spec changed
- 3.2.2, half-fix font in console
- console font patch updated
- first attempt to give back the default look
- no java, really this time ;)
- don't use java, BuildRequires samba-common, instead of samba
- 3.2.1 intial build on Aurox 9.4

* Tue Mar 23 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.6
- remove Requires: redhat-logos (it's optional)

* Thu Mar 18 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.5
- %%config(noreplace) /etc/kde/kdm/backgroundrc
- sanitize pam.d entries

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.4
- respin

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.3
- %%config(noreplace) /etc/X11/xdm/kdmrc
- kcmnspluginrc: remove netscape references, update for mozilla-1.6.

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.2
- Requires: qt >= 3.3

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.1
- sync to rh's kdebase-3.2.1-0.1
- tweak kdmrc for remote logins (kde bug #77203)
- Requires: qt >= 3.3.1

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.0
- 3.2.1
- Requires: qt >= 3.3
- kappfinder no longer requires root-level access, remove 
  console-helper bits

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.5
- updated redhat/kicker patches from rawhide's 3.2.0-1.8
- use java-1.4.2 compiler for java bits

* Thu Feb 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.4
- sync to rawhide's 3.2.0-1.7 
- fix password-less logins
- use kdm and KDE sessions by default, if not previously 
  (and explictly) configured otherwise.

* Tue Feb 17 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.3
- fix gdm/kdm KDE/GNOME session types.

* Fri Feb 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.2
- drop drop-shadows for now, too buggy (pun intented)
- Prereq: themer

* Mon Feb 09 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- include drop-shadow patch from kde-look.

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.1
- unpackaged files
- BuildRequires: jasper

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.0
- 3.1.95

* Wed Jan 14 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.2
- fixup qt-theme

* Thu Dec 16 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.1
- restore/fix ksplash screen
- sync in recent mods from kde-redhat-config-3.1

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.0
- 3.1.94

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.2
- rebuild against qt-3.2.2

* Tue Oct 21 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- sync to rawhide's 3.1.4-4

* Tue Oct 14 2003 Than Ngo <than@redhat.com> 6:3.1.4-4
- add patch to allow different icon size in kicker menu
- don't reset icon size to 20x20 if it's greater than 20

* Fri Oct 10 2003 Than Ngo <than@redhat.com> 6:3.1.4-3
- add patch files from Hans de Goede, (bug #63473, #80650, #80651)

* Tue Oct 07 2003 Than Ngo <than@redhat.com> 6:3.1.4-2
- install kde.desktop in /usr/share/xsession
- add more translations for kde.desktop (stolen from kde 3.2 cvs)

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Mon Sep 08 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.6
- patch for kdm security advisory: 
  http://www.kde.org/info/security/advisory-20030915-1.txt

* Tue Sep 02 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.5
- fix %%qtdir macro again.
- own %%ghost'd kdeglobals.defaults,kwinrc.defaults

* Sat Aug 30 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.4
- fix missing %%qtdir macro 

* Wed Aug 27 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.3
- (re)enable ksysguardd (kde-redhat bug #793051)
- update to java-1.4.2
- include drop-shadows patch:
  http://www.kde-look.org/content/show.php?content=4750

* Sat Aug 23 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.2
- use themer tool.
- own alternatives
- default to Taskbar launch feedback = true.

* Thu Jul 31 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.1
- (default) theme handling: simplify, handle upgrades better.

* Thu Jul 24 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3
- use style/theme alternatives: qt-theme, kde-theme.
- nsplugin: follow redhat's lead and use openmotif in favor of lesstif
- sync to redhat's kdebase-3.1.2-0.9x.3

* Mon Jul 14 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.6
- rebuild to avoid linkage to rawhide's libsmbclient.so 

* Fri Jul 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.5
- %%lang'ify HTML docs.

* Mon Jun 30 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.4
- cleanup usermode/consolehelper code (for kappfinder).
- update to jpackage's latest java package names, j2se1.4-devel ->
  java-1.4.1-devel (it simplifies things a *bunch*)
- sync to rawhide's 3.1.2-8 (and vfolder-0.1.2).

* Wed Jun 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.3
- Conflicts: kxmlrpcd < 7:3.1

* Thu May 22 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.1
- kdebase-3.1.2-kprinter.patch (kde bug #53556)

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning
- add cvs tags to specfile.
- xrandr support (rh9 only)

* Fri May 2 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.3
- sync to kde.org's kdebase-3.1.1-0.8x.3

* Mon Apr 28 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.2
- make kdm *not* require root password for shutdown.
- include fix if using autoconf257.

* Tue Apr 22 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.1
- tweak gccver(sioning). 

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.0
- rebuild for release.

* Thu Apr 10 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-0.0
- 3.1.1a security release.

* Tue Apr 08 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.8
- kdm: undo AllowShutdown=Root default.
- handle redhat-artwork=0 case better.
- Conflicts: kdeutils-laptop < 3.1

* Fri Apr 04 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.7
- patch for kde bug #47814.

* Wed Apr 02 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.6
- kdmrc: Use slightly smaller fonts in kdm.

* Tue Apr 01 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.5
- %%postun alternatives fixes

* Mon Mar 31 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.4
- more kappfinder fixes.

* Sun Mar 30 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.3
- (re)enable kappfinder.

* Sat Mar 29 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.2
- remove all references to desktop-create-kmenu
  (it's in kdelibs now)

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- adjust style/theme priorities to give prefernce to bluecurve (again).

* Thu Mar 20 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 6:3.1.1-0.8x.1
- 3.1.1 release
- get rid of some patch files, which are now in new upstream
- adjust some patch files for 3.1.1
- permission fix
- get rid of unneeded pam config file of kscreensaver
- move desktop-create-menu to kdelib

* Wed Mar 19 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.6
- make alternatives handling more robust.
- first stab at fixing multiple sessions per user (kde bug #40153)
- Try to fix lan:// redirections (at least until kdebase-3.1.1
  is released) (kde bugs #53202, #54043)
  
* Tue Mar 18 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.5
- Oops, didn't use the new kdeglobals/kwinrc files.

* Fri Mar 14 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.4
- %%post: modify /etc/X11/xdm/Xservers to enable "Start New 
  Session" magic.
- use alternatives to determine default kde/qt default styles,
  with priority 30.

* Fri Mar 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.3
- remove redhat-artwork Require'ment.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.2
- work on nuking gccver(sioning) (kde-redhat rfe #696544).

* Tue Feb 25 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.1
- fix --without java option (kde-redhat bug #693269)

* Mon Feb 24 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.0
- sync to rawhide 3.1-9
- don't use non-existent pam_timestamp on rh73 (kde-redhat bug #692428)
- fix startkde ordering problem (kde-redhat bug #692400)
- fix KDE Random Screensaver (kde-redhat bug #692391)

* Sat Feb 22 2003 Than Ngo <than@redhat.com> 6:3.1-9
- set default start page to red hat welcome page (#84858)
- add fix for KDE Random Screensaver (#83671)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- don't show empty folder, #84029

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-7.0
- sync to rawhide's 3.1-7
- use epochs in Obsoletes/Provides/Requires.

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdebase

* Mon Feb 10 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- rebuild against lessitf, *not* openmotif. (sorry).

* Sat Feb  8 2003 Than Ngo <than@redhat.com> 6:3.1-6
- i18n issue in kio-vfolder

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 6:3.1-5
- fix scanpath mozilla plugin, #83618
- add a patch file from Leon Ho llch@redhat.com,  #82529
- add some missing KDE screensavers, bug #83671

* Tue Feb  4 2003 Than Ngo <than@redhat.com> 6:3.1-4
- rhn-applet/pam-panel-icon/eggcups applet start correct now, #83264
- set NFSPollInterval=5000, PollInterval=500

* Tue Feb  4 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-3
- fixed panel button resize probem

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning
- make use of java conditional. (rpmbuild --without java)
- handle bitmap fonts in both rh7/rh8
- handle kde-config in both rh7/rh8
- move Requires: cdparanoia to kdemultimedia
- remove Requires: xpdf , it doesn't need to be mandatory.

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 6:3.1-2
- fix wrong Catagory, bug #82441
- fix mouse focus, bug #82675

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Wed Jan 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.0.rc6.1
- -devel: Requires: kdelibs -> Requires: kdelibs-devel
- klipper patch to fix http://bugs.kde.org/show_bug.cgi?id=52651
- sync to rawhide's 3.1-0.14

* Mon Jan 13 2003 Karsten Hopp <karsten@redhat.de> 3.1-0.14
- Missing epoch in requires

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.13
- rc6
- exclude ia64
- ssl uses krb5
- size_t check

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6

* Mon Jan  6 2003 Nalin Dahyabhai <nalin@redhat.com> 3.1-0.12
- add openssl-devel as a buildreq
- add pkgconfig as a buildreq
- if pkgconfig admits to knowing about openssl, incorporate its information

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.11
- fix bug #80307

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1-0.10
- remove unneeded files

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.9
- rebuild
- Fix wrong Start Here Url (bug #78178)
- build with -O0 on alpha temporary (compiler bug)

* Sun Dec 15 2002 Than Ngo <than@redhat.com> 3.1-0.8
- Add missing desktop files
- requires redhat-menus-0.30

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.7
- remove unneeded patch file
- fix dependency issue

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5
- move gccver step to before %%configure instead of after.
  (I wish to get rid of that gccver crap altogether).

* Thu Dec  5 2002 Than Ngo <than@redhat.com> 3.1-0.6
- clean up KDE menu/kcontrol center menu
- fix build problem on s390/s390x
- eggcups to kdebase default session (Tim Waugh)
- rpm macros (Mike Harris)

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-1
- 3.0.99 (rc3)
- gut a bunch of patches (for now).
- Obsoletes/Provides: kio_fish
- kdm: show redhat background logo by default (set UseBackground
  default to false).

* Wed Dec  4 2002 Than Ngo <than@redhat.com> 3.1-0.5
- move 9x15 fix font to bitmaps font package
- bug fix in kinfo center
- add new catagories

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.4
- bug fixes kcontrol center/file browsing/Look&Feel
- add RH kdm default configuration

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.3
- adjust 2 patch files again
- add correct option in configure
- use %%configure

